% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/maraca.R
\name{print.maraca_tte_components}
\alias{print.maraca_tte_components}
\title{Generic to print the maraca_tte_component that is not a ggplot.}
\usage{
\method{print}{maraca_tte_components}(x, ...)
}
\arguments{
\item{x}{an object of S3 class 'maraca_tte_components'}

\item{\dots}{not used}
}
\value{
Used for side effect. Plots the maraca_tte_components object.
}
\description{
Generic to print the maraca_tte_component that is not a ggplot.
}
\examples{
data(hce_scenario_a)
hce_test <- maraca(
  data = hce_scenario_a,
  tte_outcomes = c("Outcome I", "Outcome II", "Outcome III", "Outcome IV"),
  continuous_outcome = "Continuous outcome",
  column_names = c(outcome = "GROUP", arm = "TRTP", value = "AVAL0"),
  arm_levels = c(active = "Active", control = "Control"),
  compute_win_odds = TRUE
)
plot <- plot_tte_components(hce_test)
print(plot)

}
